Last Comment Bug 663300 - If \u is not followed by four hex characters it must be a syntax error (mutatis mutandis for \x)
: If \u is not followed by four hex characters it must be a syntax error (mutat...
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
Depends on: 690267
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-09 19:33 PDT by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-09-29 02:31 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch and test, and test fixes (12.32 KB, patch)
2011-06-09 19:37 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
n.nethercote: review+
Details | Diff | Review

Description Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-09 19:33:08 PDT
We currently incorrectly treat \u, \uAG, etc. as the literal characters following the \.  test262 has a dozen or so (!) tests for this.
Comment 1 Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-09 19:37:28 PDT
Created attachment 538422 [details] [diff] [review]
Patch and test, and test fixes
Comment 2 Nicholas Nethercote [:njn] 2011-06-09 20:13:04 PDT
Comment on attachment 538422 [details] [diff] [review]
Patch and test, and test fixes

Review of attachment 538422 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-13 18:16:16 PDT
https://bugzilla.mozilla.org/show_bug.cgi?id=663300
Comment 4 Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-13 18:17:08 PDT
Er, http://hg.mozilla.org/tracemonkey/rev/5ba462e407f1
Comment 5 Chris Leary [:cdleary] (not checking bugmail) 2011-06-20 17:02:41 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/5ba462e407f1

Note You need to log in before you can comment on or make changes to this bug.